## org.eclipse.emf.compare.epatch.recorder
Class EmfRecorder

    java.lang.Object
      org.eclipse.emf.compare.epatch.recorder.EmfRecorder

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class EmfRecorder

extends java.lang.Object
implements org.eclipse.emf.common.notify.Adapter.Internal

Nested Class Summary
`static interface` `EmfRecorder.RecorderListener`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary
`protected EmfRecorder.RecorderListener` `listener`
`protected boolean` `recording`
`protected boolean` `resolveProxies`
`protected java.util.List<org.eclipse.emf.common.notify.Notifier>` `rootObjects`
`protected java.util.List<org.eclipse.emf.common.notify.Notifier>` `targetObjects`

Constructor Summary
`EmfRecorder(EmfRecorder.RecorderListener listener)`

Method Summary
`protected void` `addAdapter(org.eclipse.emf.common.notify.Notifier notifier, boolean isRoot)`
`void` `addRootObject(org.eclipse.emf.common.notify.Notifier obj)`
`void` `beginRecording()`
`void` `dispose()`
`void` `endRecording()`
`java.util.List<org.eclipse.emf.common.notify.Notifier>` `getRootObjects()`
`org.eclipse.emf.common.notify.Notifier` `getTarget()`
`protected void` `handleFeature(org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EReference containment, org.eclipse.emf.common.notify.Notification notification, org.eclipse.emf.ecore.EObject eObject)`
`protected void` `handleResource(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.common.notify.Notification notification)`
`protected void` `handleResourceSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet, org.eclipse.emf.common.notify.Notification notification)`
`boolean` `isAdapterForType(java.lang.Object type)`
`protected boolean` `isObserved(org.eclipse.emf.common.notify.Notifier not)`
`boolean` `isRecording()`
`boolean` `isResolveProxies()`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`
`protected void` `removeAdapter(org.eclipse.emf.common.notify.Notifier notifier, boolean isRoot)`
`void` `removeRootObject(org.eclipse.emf.common.notify.Notifier obj)`
`void` `setResolveProxies(boolean resolveProxies)`
`void` `setTarget(org.eclipse.emf.common.notify.Notifier target)`
`void` `unsetTarget(org.eclipse.emf.common.notify.Notifier oldTarget)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected EmfRecorder.RecorderListener listener

### recording

    protected boolean recording

### resolveProxies

    protected boolean resolveProxies

### rootObjects

    protected java.util.List<org.eclipse.emf.common.notify.Notifier> rootObjects

### targetObjects

    protected java.util.List<org.eclipse.emf.common.notify.Notifier> targetObjects

Constructor Detail

### EmfRecorder

    public EmfRecorder(EmfRecorder.RecorderListener listener)

Method Detail

### addAdapter

    protected void addAdapter(org.eclipse.emf.common.notify.Notifier notifier,
                              boolean isRoot)

### addRootObject

    public void addRootObject(org.eclipse.emf.common.notify.Notifier obj)

### beginRecording

    public void beginRecording()

### dispose

    public void dispose()

### endRecording

    public void endRecording()

### getRootObjects

    public java.util.List<org.eclipse.emf.common.notify.Notifier> getRootObjects()

### getTarget

    public org.eclipse.emf.common.notify.Notifier getTarget()

  Specified by:
    `getTarget` in interface `org.eclipse.emf.common.notify.Adapter`

### handleFeature

    protected void handleFeature(org.eclipse.emf.ecore.EStructuralFeature feature,
                                 org.eclipse.emf.ecore.EReference containment,
                                 org.eclipse.emf.common.notify.Notification notification,
                                 org.eclipse.emf.ecore.EObject eObject)

### handleResource

    protected void handleResource(org.eclipse.emf.ecore.resource.Resource resource,
                                  org.eclipse.emf.common.notify.Notification notification)

### handleResourceSet

    protected void handleResourceSet(org.eclipse.emf.ecore.resource.ResourceSet resourceSet,
                                     org.eclipse.emf.common.notify.Notification notification)

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`

### isObserved

    protected boolean isObserved(org.eclipse.emf.common.notify.Notifier not)

### isRecording

    public boolean isRecording()

### isResolveProxies

    public boolean isResolveProxies()

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`

### removeAdapter

    protected void removeAdapter(org.eclipse.emf.common.notify.Notifier notifier,
                                 boolean isRoot)

### removeRootObject

    public void removeRootObject(org.eclipse.emf.common.notify.Notifier obj)

### setResolveProxies

    public void setResolveProxies(boolean resolveProxies)

### setTarget

    public void setTarget(org.eclipse.emf.common.notify.Notifier target)

  Specified by:
    `setTarget` in interface `org.eclipse.emf.common.notify.Adapter`

### unsetTarget

    public void unsetTarget(org.eclipse.emf.common.notify.Notifier oldTarget)

  Specified by:
    `unsetTarget` in interface `org.eclipse.emf.common.notify.Adapter.Internal`

Copyright 2006 IBM Corporation and others. All Rights Reserved.